Manifest-Version: 1.0
Bnd-LastModified: 1698918672739
Build-Jdk: 11.0.4
Built-By: root
Bundle-Description: Apache Synapse - Commons classes
Bundle-DocURL: http://www.apache.org/
Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion: 2
Bundle-Name: Apache Synapse - Commons classes
Bundle-SymbolicName: synapse-commons
Bundle-Vendor: Apache Software Foundation
Bundle-Version: 4.0.0.wso2v59
Created-By: Apache Maven Bundle Plugin
DynamicImport-Package: *
Export-Package: org.apache.synapse.commons;uses:="org.apache.commons.log
 ging";version="4.0.0",org.apache.synapse.commons.beanstalk.enterprise;u
 ses:="javax.naming";version="4.0.0",org.apache.synapse.commons.builders
 ;uses:="org.apache.axiom.om,org.apache.axis2,org.apache.axis2.builder,o
 rg.apache.axis2.context";version="4.0.0",org.apache.synapse.commons.cry
 pto;uses:="org.apache.axis2";version="4.0.0",org.apache.synapse.commons
 .datasource;uses:="javax.naming,javax.sql,org.apache.synapse.commons.jm
 x,org.wso2.securevault.secret";version="4.0.0",org.apache.synapse.commo
 ns.datasource.factory;uses:="javax.sql,org.apache.synapse.commons.datas
 ource";version="4.0.0",org.apache.synapse.commons.datasource.serializer
 ;uses:="org.apache.synapse.commons.datasource";version="4.0.0",org.apac
 he.synapse.commons.emulator;uses:="com.google.gson,com.google.gson.refl
 ect";version="4.0.0",org.apache.synapse.commons.emulator.core;uses:="or
 g.apache.synapse.commons.emulator.http";version="4.0.0",org.apache.syna
 pse.commons.emulator.http;uses:="io.netty.channel,io.netty.channel.sock
 et,io.netty.handler.ssl,org.apache.synapse.commons.emulator.core,org.ap
 ache.synapse.commons.emulator.http.consumer,org.apache.synapse.commons.
 emulator.http.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.prod
 ucer,org.apache.synapse.commons.emulator.http.producer";version="4.0.0"
 ,org.apache.synapse.commons.emulator.http.consumer;uses:="io.netty.chan
 nel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.htt
 p.dsl";version="4.0.0",org.apache.synapse.commons.emulator.http.dsl;use
 s:="io.netty.channel,io.netty.handler.codec.http,org.apache.synapse.com
 mons.emulator.core,org.apache.synapse.commons.emulator.http,org.apache.
 synapse.commons.emulator.http.dsl.dto.consumer,org.apache.synapse.commo
 ns.emulator.http.dsl.dto.producer";version="4.0.0",org.apache.synapse.c
 ommons.emulator.http.dsl.dto;version="4.0.0",org.apache.synapse.commons
 .emulator.http.dsl.dto.consumer;uses:="io.netty.handler.codec.http,org.
 apache.synapse.commons.emulator.http.consumer,org.apache.synapse.common
 s.emulator.http.dsl.dto";version="4.0.0",org.apache.synapse.commons.emu
 lator.http.dsl.dto.producer;uses:="io.netty.handler.codec.http,org.apac
 he.synapse.commons.emulator.http.dsl.dto";version="4.0.0",org.apache.sy
 napse.commons.emulator.http.producer;uses:="io.netty.buffer,io.netty.ch
 annel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.h
 ttp.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.producer";vers
 ion="4.0.0",org.apache.synapse.commons.evaluators;uses:="org.apache.axi
 om.om,org.apache.axis2.context,org.apache.synapse.commons.evaluators.so
 urce";version="4.0.0",org.apache.synapse.commons.evaluators.config;uses
 :="org.apache.axiom.om,org.apache.commons.logging,org.apache.synapse.co
 mmons.evaluators,org.apache.synapse.commons.evaluators.source";version=
 "4.0.0",org.apache.synapse.commons.evaluators.source;uses:="org.apache.
 synapse.commons.evaluators";version="4.0.0",org.apache.synapse.commons.
 executors;version="4.0.0",org.apache.synapse.commons.executors.config;u
 ses:="javax.xml.namespace,org.apache.axiom.om,org.apache.axis2,org.apac
 he.synapse.commons.executors";version="4.0.0",org.apache.synapse.common
 s.executors.queues;uses:="org.apache.synapse.commons.executors";version
 ="4.0.0",org.apache.synapse.commons.formatters;uses:="org.apache.axiom.
 om,org.apache.axis2,org.apache.axis2.context,org.apache.axis2.transport
 ";version="4.0.0",org.apache.synapse.commons.handlers;uses:="org.apache
 .axis2.context";version="4.0.0",org.apache.synapse.commons.handlers.exc
 eption;version="4.0.0",org.apache.synapse.commons.jmx;uses:="javax.mana
 gement.remote,javax.security.auth,org.wso2.securevault.secret";version=
 "4.0.0",org.apache.synapse.commons.json;uses:="javax.xml.stream,org.apa
 che.axiom.om,org.apache.axis2,org.apache.axis2.builder,org.apache.axis2
 .context,org.apache.axis2.transport,org.apache.synapse.commons.staxon.c
 ore.json";version="4.0.0",org.apache.synapse.commons.json.jsonprocessor
 .constants;version="4.0.0",org.apache.synapse.commons.json.jsonprocesso
 r.exceptions;version="4.0.0",org.apache.synapse.commons.json.jsonproces
 sor.parser;uses:="org.apache.synapse.commons.json.jsonprocessor.excepti
 ons";version="4.0.0",org.apache.synapse.commons.json.jsonprocessor.util
 s;uses:="com.google.gson,org.apache.synapse.commons.json.jsonprocessor.
 exceptions";version="4.0.0",org.apache.synapse.commons.json.jsonprocess
 or.validators;uses:="com.google.gson,org.apache.synapse.commons.json.js
 onprocessor.exceptions";version="4.0.0",org.apache.synapse.commons.json
 .staxon;version="4.0.0",org.apache.synapse.commons.logger;uses:="org.ap
 ache.axis2.context,org.apache.commons.logging,org.apache.http.protocol"
 ;version="4.0.0",org.apache.synapse.commons.resolvers;version="4.0.0",o
 rg.apache.synapse.commons.snmp;uses:="javax.management,org.snmp4j.agent
 .mo,org.snmp4j.smi";version="4.0.0",org.apache.synapse.commons.staxon.c
 ore.base;uses:="javax.xml.namespace,javax.xml.stream,javax.xml.stream.u
 til,javax.xml.transform";version="4.0.0",org.apache.synapse.commons.sta
 xon.core.event;uses:="javax.xml.namespace,javax.xml.stream,javax.xml.st
 ream.events,javax.xml.stream.util";version="4.0.0",org.apache.synapse.c
 ommons.staxon.core.json;uses:="javax.xml.namespace,javax.xml.stream,org
 .apache.synapse.commons.staxon.core.base,org.apache.synapse.commons.sta
 xon.core.json.stream,org.apache.synapse.commons.staxon.core.json.stream
 .impl";version="4.0.0",org.apache.synapse.commons.staxon.core.json.jaxb
 ;uses:="javax.xml.bind,javax.xml.bind.annotation,javax.xml.namespace,ja
 vax.xml.stream,org.apache.synapse.commons.staxon.core.json";version="4.
 0.0",org.apache.synapse.commons.staxon.core.json.stream;uses:="javax.xm
 l.stream,org.apache.synapse.commons.staxon.core.json.stream.impl";versi
 on="4.0.0",org.apache.synapse.commons.staxon.core.json.stream.impl;uses
 :="org.apache.synapse.commons.staxon.core.json.stream";version="4.0.0",
 org.apache.synapse.commons.staxon.core.json.stream.util;uses:="javax.xm
 l.namespace,org.apache.synapse.commons.staxon.core.json.stream";version
 ="4.0.0",org.apache.synapse.commons.staxon.core.json.util;uses:="javax.
 xml.stream,javax.xml.stream.events,org.apache.synapse.commons.staxon.co
 re.util";version="4.0.0",org.apache.synapse.commons.staxon.core.util;us
 es:="javax.xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.s
 tream.events,javax.xml.stream.util,org.w3c.dom";version="4.0.0",org.apa
 che.synapse.commons.staxon.core.xml.util;uses:="javax.xml.stream,javax.
 xml.stream.events,org.apache.synapse.commons.staxon.core.util";version=
 "4.0.0",org.apache.synapse.commons.templates.uri;version="4.0.0",org.ap
 ache.synapse.commons.templates.uri.parser;uses:="org.apache.synapse.com
 mons.templates.uri";version="4.0.0",org.apache.synapse.commons.throttle
 .core;uses:="javax.cache,javax.xml.namespace,org.apache.axis2.clusterin
 g,org.apache.axis2.context,org.apache.neethi";version="4.0.0",org.apach
 e.synapse.commons.throttle.core.factory;uses:="org.apache.synapse.commo
 ns.throttle.core";version="4.0.0",org.apache.synapse.commons.throttle.c
 ore.impl.domainbase;uses:="org.apache.synapse.commons.throttle.core";ve
 rsion="4.0.0",org.apache.synapse.commons.throttle.core.impl.ipbase;uses
 :="org.apache.synapse.commons.throttle.core";version="4.0.0",org.apache
 .synapse.commons.throttle.core.impl.rolebase;uses:="org.apache.synapse.
 commons.throttle.core";version="4.0.0",org.apache.synapse.commons.throt
 tle.core.internal;uses:="org.apache.synapse.commons.throttle.core,org.o
 sgi.service.component";version="4.0.0",org.apache.synapse.commons.throt
 tle.module;uses:="org.apache.axiom.om,org.apache.axis2,org.apache.axis2
 .context,org.apache.axis2.description,org.apache.axis2.engine,org.apach
 e.axis2.modules,org.apache.neethi,org.apache.synapse.commons.throttle.c
 ore";version="4.0.0",org.apache.synapse.commons.throttle.module.handler
 ;uses:="org.apache.axis2,org.apache.axis2.context,org.apache.axis2.engi
 ne,org.apache.axis2.handlers,org.apache.synapse.commons.throttle.core";
 version="4.0.0",org.apache.synapse.commons.throttle.module.utils;uses:=
 "org.apache.synapse.commons.throttle.core";version="4.0.0",org.apache.s
 ynapse.commons.throttle.module.utils.impl;uses:="org.apache.synapse.com
 mons.throttle.module.utils";version="4.0.0",org.apache.synapse.commons.
 transaction;uses:="javax.naming,javax.sql,javax.transaction,org.apache.
 commons.logging";version="4.0.0",org.apache.synapse.commons.util;uses:=
 "org.apache.axiom.om,org.apache.commons.logging";version="4.0.0",org.ap
 ache.synapse.commons.util.ext;version="4.0.0",org.apache.synapse.common
 s.vfs;uses:="org.apache.axiom.attachments,org.apache.axis2.context,org.
 apache.axis2.description,org.apache.axis2.transport,org.apache.commons.
 vfs2";version="4.0.0"
Import-Package: com.google.common.util.concurrent;resolution:=optional;v
 ersion="[31.0,32)",com.google.gson;resolution:=optional;version="[2.9,3
 )",com.google.gson.reflect;resolution:=optional;version="[2.9,3)",com.g
 oogle.gson.stream;resolution:=optional;version="[2.9,3)",io.netty.boots
 trap;resolution:=optional;version="[4.1,5)",io.netty.buffer;resolution:
 =optional;version="[4.1,5)",io.netty.channel;resolution:=optional;versi
 on="[4.1,5)",io.netty.channel.nio;resolution:=optional;version="[4.1,5)
 ",io.netty.channel.socket;resolution:=optional;version="[4.1,5)",io.net
 ty.channel.socket.nio;resolution:=optional;version="[4.1,5)",io.netty.h
 andler.codec;resolution:=optional;version="[4.1,5)",io.netty.handler.co
 dec.http;resolution:=optional;version="[4.1,5)",io.netty.handler.codec.
 http.cookie;resolution:=optional;version="[4.1,5)",io.netty.handler.log
 ging;resolution:=optional;version="[4.1,5)",io.netty.handler.ssl;resolu
 tion:=optional;version="[4.1,5)",io.netty.handler.ssl.util;resolution:=
 optional;version="[4.1,5)",io.netty.util;resolution:=optional;version="
 [4.1,5)",io.netty.util.concurrent;resolution:=optional;version="[4.1,5)
 ",javax.activation;resolution:=optional;version="[0.0,1)",javax.cache;r
 esolution:=optional;version="[1.0,2)",javax.management;resolution:=opti
 onal,javax.management.remote;resolution:=optional,javax.naming;resoluti
 on:=optional,javax.naming.spi;resolution:=optional,javax.net.ssl;resolu
 tion:=optional,javax.security.auth;resolution:=optional,javax.servlet.h
 ttp;resolution:=optional;version="[3.0,4)",javax.sql;resolution:=option
 al,javax.transaction;resolution:=optional,javax.transaction.xa;resoluti
 on:=optional,javax.xml.bind;resolution:=optional;version="[2.3,3)",java
 x.xml.bind.annotation;resolution:=optional;version="[2.3,3)",javax.xml.
 parsers;resolution:=optional,javax.xml.stream;resolution:=optional;vers
 ion="[1.0,2)",javax.xml.stream.events;resolution:=optional;version="[1.
 0,2)",javax.xml.stream.util;resolution:=optional;version="[1.0,2)",java
 x.xml.transform;resolution:=optional,javax.xml.transform.dom;resolution
 :=optional,javax.xml.transform.stream;resolution:=optional,org.apache.a
 xiom.attachments;resolution:=optional,org.apache.axiom.om;resolution:=o
 ptional,org.apache.axiom.om.impl.builder;resolution:=optional,org.apach
 e.axiom.om.impl.llom;resolution:=optional,org.apache.axiom.om.xpath;res
 olution:=optional,org.apache.axiom.soap;resolution:=optional,org.apache
 .axiom.util.base64;resolution:=optional,org.apache.axis2;resolution:=op
 tional,org.apache.axis2.addressing;resolution:=optional,org.apache.axis
 2.builder;resolution:=optional,org.apache.axis2.clustering;resolution:=
 optional,org.apache.axis2.context;resolution:=optional,org.apache.axis2
 .description;resolution:=optional,org.apache.axis2.engine;resolution:=o
 ptional,org.apache.axis2.handlers;resolution:=optional,org.apache.axis2
 .i18n;resolution:=optional,org.apache.axis2.java.security;resolution:=o
 ptional,org.apache.axis2.modules;resolution:=optional,org.apache.axis2.
 transport;resolution:=optional,org.apache.axis2.transport.base;resoluti
 on:=optional;version="[1.6,2)",org.apache.axis2.transport.base.threads;
 resolution:=optional;version="[1.6,2)",org.apache.axis2.transport.http;
 resolution:=optional;version="[1.6,2)",org.apache.axis2.transport.http.
 util;resolution:=optional;version="[1.6,2)",org.apache.axis2.util;resol
 ution:=optional,org.apache.commons.io;resolution:=optional;version="[2.
 0,3)",org.apache.commons.io.output;resolution:=optional;version="[2.0,3
 )",org.apache.commons.lang;resolution:=optional;version="[2.4,3)",org.a
 pache.commons.lang3;resolution:=optional;version="[3.12,4)",org.apache.
 commons.lang3.math;resolution:=optional;version="[3.12,4)",org.apache.c
 ommons.logging;resolution:=optional,org.apache.commons.vfs2;resolution:
 =optional,org.apache.commons.vfs2.impl;resolution:=optional,org.apache.
 commons.vfs2.provider;resolution:=optional,org.apache.commons.vfs2.prov
 ider.ftps;resolution:=optional,org.apache.commons.vfs2.util;resolution:
 =optional,org.apache.geronimo.mail.util;resolution:=optional;version="[
 1.4,2)",org.apache.http.protocol;resolution:=optional,org.apache.loggin
 g.log4j;resolution:=optional;version="[2.17,3)",org.apache.neethi;resol
 ution:=optional,org.apache.neethi.builders.xml;resolution:=optional,org
 .apache.synapse.commons;resolution:=optional,org.apache.synapse.commons
 .datasource;resolution:=optional,org.apache.synapse.commons.datasource.
 factory;resolution:=optional,org.apache.synapse.commons.emulator;resolu
 tion:=optional,org.apache.synapse.commons.emulator.core;resolution:=opt
 ional,org.apache.synapse.commons.emulator.http;resolution:=optional,org
 .apache.synapse.commons.emulator.http.consumer;resolution:=optional,org
 .apache.synapse.commons.emulator.http.dsl;resolution:=optional,org.apac
 he.synapse.commons.emulator.http.dsl.dto;resolution:=optional,org.apach
 e.synapse.commons.emulator.http.dsl.dto.consumer;resolution:=optional,o
 rg.apache.synapse.commons.emulator.http.dsl.dto.producer;resolution:=op
 tional,org.apache.synapse.commons.emulator.http.producer;resolution:=op
 tional,org.apache.synapse.commons.evaluators;resolution:=optional,org.a
 pache.synapse.commons.evaluators.config;resolution:=optional,org.apache
 .synapse.commons.evaluators.source;resolution:=optional,org.apache.syna
 pse.commons.executors;resolution:=optional,org.apache.synapse.commons.e
 xecutors.queues;resolution:=optional,org.apache.synapse.commons.jmx;res
 olution:=optional,org.apache.synapse.commons.json.jsonprocessor.constan
 ts;resolution:=optional,org.apache.synapse.commons.json.jsonprocessor.e
 xceptions;resolution:=optional,org.apache.synapse.commons.json.jsonproc
 essor.utils;resolution:=optional,org.apache.synapse.commons.json.jsonpr
 ocessor.validators;resolution:=optional,org.apache.synapse.commons.stax
 on.core.base;resolution:=optional,org.apache.synapse.commons.staxon.cor
 e.event;resolution:=optional,org.apache.synapse.commons.staxon.core.jso
 n;resolution:=optional,org.apache.synapse.commons.staxon.core.json.stre
 am;resolution:=optional,org.apache.synapse.commons.staxon.core.json.str
 eam.impl;resolution:=optional,org.apache.synapse.commons.staxon.core.js
 on.stream.util;resolution:=optional,org.apache.synapse.commons.staxon.c
 ore.json.util;resolution:=optional,org.apache.synapse.commons.staxon.co
 re.util;resolution:=optional,org.apache.synapse.commons.templates.uri;r
 esolution:=optional,org.apache.synapse.commons.templates.uri.parser;res
 olution:=optional,org.apache.synapse.commons.throttle.core;resolution:=
 optional,org.apache.synapse.commons.throttle.core.factory;resolution:=o
 ptional,org.apache.synapse.commons.throttle.core.impl.domainbase;resolu
 tion:=optional,org.apache.synapse.commons.throttle.core.impl.ipbase;res
 olution:=optional,org.apache.synapse.commons.throttle.core.impl.rolebas
 e;resolution:=optional,org.apache.synapse.commons.throttle.core.interna
 l;resolution:=optional,org.apache.synapse.commons.throttle.module;resol
 ution:=optional,org.apache.synapse.commons.throttle.module.utils;resolu
 tion:=optional,org.apache.synapse.commons.throttle.module.utils.impl;re
 solution:=optional,org.apache.synapse.commons.util;resolution:=optional
 ,org.apache.tomcat.dbcp.dbcp2;resolution:=optional;version="[9.0,10)",o
 rg.apache.tomcat.dbcp.dbcp2.cpdsadapter;resolution:=optional;version="[
 9.0,10)",org.apache.tomcat.dbcp.dbcp2.datasources;resolution:=optional;
 version="[9.0,10)",org.jaxen;resolution:=optional;version="[1.2,2)",org
 .osgi.service.component;resolution:=optional;version="[1.2,2)",org.snmp
 4j;resolution:=optional,org.snmp4j.agent;resolution:=optional,org.snmp4
 j.agent.mo;resolution:=optional,org.snmp4j.agent.mo.snmp;resolution:=op
 tional,org.snmp4j.log;resolution:=optional,org.snmp4j.mp;resolution:=op
 tional,org.snmp4j.security;resolution:=optional,org.snmp4j.smi;resoluti
 on:=optional,org.snmp4j.transport;resolution:=optional,org.w3c.dom;reso
 lution:=optional,org.wso2.securevault;resolution:=optional,org.wso2.sec
 urevault.commons;resolution:=optional,org.wso2.securevault.definition;r
 esolution:=optional,org.wso2.securevault.keystore;resolution:=optional,
 org.wso2.securevault.secret;resolution:=optional,org.xml.sax;resolution
 :=optional,org.xml.sax.helpers;resolution:=optional,javax.xml.namespace
 ;version="0.0.0"
Require-Capability: osgi.service;filter:="(objectClass=org.apache.synaps
 e.commons.throttle.core.DistributedCounterManager)";effective:=active;r
 esolution:=optional;cardinality:=multiple,osgi.service;filter:="(object
 Class=org.apache.synapse.commons.throttle.core.internal.DistributedThro
 ttleProcessor)";effective:=active;resolution:=optional;cardinality:=mul
 tiple,osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/throttle.core.services.xml
Tool: Bnd-3.3.0.201609221906
